Summary: kde control panel
Name: ctrlpanel
Version: 2.0
Release: 11
Source0: ctrlpanel-%{version}.tar.gz
Source1: khwtree-1.1.tar.gz
Source2: ps4_ctrlpanel_xpm.tgz
Source3: helplookko.html
Source4: helpnetko.html
Source5: helpsysko.html
#Patch:   ctrlpanel-1.0-gcc3-redflag.patch
Group: Applications/Setting
Vendor: Red Flag Software Co., Ltd.
Packager: packager@redflag-linux.com
License: GPL
BuildRoot: /var/tmp/ctrlpanel-%{version}.root

%description
kde control panel

%prep
%setup -q

%build
./configure --prefix=/usr --libdir=%{_libdir}
make

%install
make prefix="$RPM_BUILD_ROOT"/usr libdir="$RPM_BUILD_ROOT"/%{_libdir} install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
cd $RPM_BUILD_ROOT/etc/sysconfig/
tar xzvf %{SOURCE1}
#mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/System/
#mv $RPM_BUILD_ROOT/usr/share/applnk/Settings/* $RPM_BUILD_ROOT/usr/share/applnk/System/
tar xfz %{SOURCE2} -C $RPM_BUILD_ROOT/usr/share
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/apps/ctrlpanel/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/apps/ctrlpanel/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/apps/ctrlpanel/


%files
%defattr(-,root,root)
/usr/bin/ctrlpanel
/%{_libdir}/*
/etc/sysconfig/*
%ifarch ia64
%exclude /etc/sysconfig/khwtree/GroupSys/kgrub.desktop
%endif
/usr/share/*
#%attr(750,root,root) /root

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 24 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-11
- add korean language support
* Tue Oct 26 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-10
- use %{_libdir} as libdir
* Thu Jul 29 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-9
- remove kgrub.desktop if it is IA64 system
* Sat Apr 24 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-8
- change some Japanese docs
* Mon Apr 19 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-7
- fix some error in some desktop files
* Thu Mar 25 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-6
- remove kthememgr from control panel.
* Tue Mar 23 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-5
- fix the error of some Japanese declaration files.
* Thu Mar 11 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-4
- fix the error of some Japanese declaration files.
* Mon Mar 08 2004 Hua Jie <jiehua@redflag-linux.com> 2.0-3
- add some Japanese declaration files.
* Fri Feb 20 2004 xj <jianxing@redflag-linux.com> 2.0-2
- add some Japanese config files.
* Wed Feb 11 2004 xj <jianxing@redflag-linux.com> 2.0-1
- multi language support.
- add some English config files.
* Mon May 19 2003 xj <jianxing@redflag-linux.com> 1.5-1
- start need less time.
* Thu Feb 20 2003 xj <jianxing@redflag-linux.com> 1.3-1
- change khwrc to khwtree
* Mon Dec 23 2002 xj <jianxing@redflag-linux.com> 1.2-14
- disable drop&drag
* Tue Nov 26 2002 xj <jianxing@redflag-linux.com> 1.2-13
- fix khwrc
* Fri Nov 15 2002 xj <jianxing@redflag-linux.com> 1.2-12
- Add many items ,
* Tue Nov 12 2002 xj <jianxing@redflag-linux.com> 1.2-10
- Add many items ,kdesysguard,kdf,keyboard,kdm,kmenuedit,kfloppy
* Thu Nov 7 2002 xj <jianxing@redflag-linux.com> 1.2-9
- Program can remove item when it is uninstalling.
- ctrlpanel -g GroupName -u itemname
* Wed Nov 6 2002 xj <jianxing@redflag-linux.com> 1.2-8
- change config file 
